HTMLFormElement (Common DOM API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLFormElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLFormElement
extends HTMLElement

The `FORM` element encompasses behavior similar to a collection and an element. It provides direct access to the contained input elements as well as the attributes of the form element. See the FORM element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAcceptCharset()` List of character sets supported by the server.
`String` | `getAction()` Server-side form handler.
`HTMLCollection` | `getElements()` Returns a collection of all control elements in the form.
`String` | `getEnctype()` The content type of the submitted form, generally "application/x-www-form-urlencoded".
`int` | `getLength()` The number of form controls in the form.
`String` | `getMethod()` HTTP method used to submit form.
`String` | `getName()` Names the form.
`String` | `getTarget()` Frame to render the resource in.
`void` | `reset()` Restores a form element's default values.
`void` | `setAcceptCharset(String acceptCharset)`
`void` | `setAction(String action)`
`void` | `setEnctype(String enctype)`
`void` | `setMethod(String method)`
`void` | `setName(String name)`
`void` | `setTarget(String target)`
`void` | `submit()` Submits the form.

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getElements

    public HTMLCollection getElements()

  Returns a collection of all control elements in the form.

### getLength

    public int getLength()

  The number of form controls in the form.

### getName

    public String getName()

  Names the form.

### setName

    public void setName(String name)

### getAcceptCharset

    public String getAcceptCharset()

  List of character sets supported by the server. See the accept-charset attribute definition in HTML 4.0.

### setAcceptCharset

    public void setAcceptCharset(String acceptCharset)

### getAction

    public String getAction()

  Server-side form handler. See the action attribute definition in HTML 4.0.

### setAction

    public void setAction(String action)

### getEnctype

    public String getEnctype()

  The content type of the submitted form, generally "application/x-www-form-urlencoded". See the enctype attribute definition in HTML 4.0.

### setEnctype

    public void setEnctype(String enctype)

### getMethod

    public String getMethod()

  HTTP method used to submit form. See the method attribute definition in HTML 4.0.

### setMethod

    public void setMethod(String method)

### getTarget

    public String getTarget()

  Frame to render the resource in. See the target attribute definition in HTML 4.0.

### setTarget

    public void setTarget(String target)

### submit

    public void submit()

  Submits the form. It performs the same action as a submit button.

### reset

    public void reset()

  Restores a form element's default values. It performs the same action as a reset button.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.